Bug 196560 - FC5 kernel update to 2.6.17-1.2139_FC5 causing USB broadband problems
FC5 kernel update to 2.6.17-1.2139_FC5 causing USB broadband problems
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-24 15:49 EDT by Motor
Modified: 2007-11-30 17:11 EST (History)
5 users (show)

See Also:
Fixed In Version: 2.6.17-1.2174_FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-17 04:10:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Undo as623 (84.96 KB, patch)
2006-07-15 16:54 EDT, Duncan Sands
no flags Details | Diff
as679 plus dependencies (14.56 KB, patch)
2006-07-19 11:34 EDT, Duncan Sands
no flags Details | Diff
Don't rely on the host controller not messing with the SPD bit (525 bytes, patch)
2006-07-30 10:20 EDT, Duncan Sands
no flags Details | Diff

  None (edit)
Description Motor 2006-06-24 15:49:27 EDT
My PC uses a Thompson/Alcatel Speedtouch USB 330 modem to connect to
Tiscali broadband in the UK. It's been working fine until the recent
kernel update to version: kernel-2.6.17-1.2139_FC5.

Now after upgrading the kernel via yum, the broadband seems to connect ok and
work for about a minute and then stop sending and receiving. If I reboot and
use the previous kernel-2.6.16-1.2133_FC5, then it works perfectly
normally with no problems. I've tried switching between the two kernel
versions half a dozen times and seen the same behaviour each time, which
seems to rule out random ISP mess ups.

Version-Release number of selected component (if applicable):
2.6.17-1.2139_FC5 

How reproducible:
Every time

Steps to Reproduce:
1. Upgrade to kernel 2.6.17-1.2139_FC5
2. Reboot and wait until it connects to the internet
  
Actual results:
After a minute of internet use the data stops flowing. Disconnecting from the
internet (using ifdown ppp0) and attempting to reconnect (with ifup ppp0) does
not work.

Expected results:
The internet connection should function normally, and ifup/ifdown should work
Comment 1 William Murray 2006-06-26 03:02:31 EDT
I have very similar sympotoms for a BT voyager 105 in the UK and AOL.
The modem sets up 'routes' correctly, but the 'host' command then fails.
I will try to get more details, but as it takes broadband offline it is
unpopular with my family!
     Bill
Comment 2 Gunther Schlegel 2006-06-29 09:42:29 EDT
After the kernel upgrade I am experiencing problems with my usb mouse. I can
reactivate it by pulling and replugging the mouse. I found the following in my
syslog:

Jun 29 15:19:29 gauss kernel: usb 5-4.1.3: reset full speed USB device using
ehci_hcd and address 6
Jun 29 15:20:15 gauss kernel: usb 5-4.1.3: reset full speed USB device using
ehci_hcd and address 6
Jun 29 15:24:49 gauss kernel: usb 5-4.1.3: reset full speed USB device using
ehci_hcd and address 6
Jun 29 15:28:03 gauss kernel: usb 5-4.1.3: USB disconnect, address 6
Jun 29 15:28:06 gauss kernel: usb 5-4.1.3: new full speed USB device using
ehci_hcd and address 7
Jun 29 15:28:06 gauss kernel: usb 5-4.1.3: configuration #1 chosen from 1 choice
Jun 29 15:28:06 gauss kernel: input: Logitech USB Receiver as /class/input/input6
Jun 29 15:28:06 gauss kernel: input: USB HID v1.11 Mouse [Logitech USB Receiver]
on usb-0000:00:10.4-4.1.3
Jun 29 15:28:06 gauss kernel: input: Logitech USB Receiver as /class/input/input7
Jun 29 15:28:06 gauss kernel: input,hiddev96: USB HID v1.11 Device [Logitech USB
Receiver] on usb-0000:00:10.4-4.1.3
Jun 29 15:34:10 gauss kernel: usb 5-4.1.3: reset full speed USB device using
ehci_hcd and address 7
Jun 29 15:37:28 gauss kernel: usb 5-4.1.3: reset full speed USB device using
ehci_hcd and address 7
Jun 29 15:40:25 gauss kernel: usb 5-4.1.3: reset full speed USB device using
ehci_hcd and address 7

These "reset full speed USB device" messages have not been there with the 2.6.16
kernels.

Comment 3 Nathaniel Daw 2006-06-30 05:18:34 EDT
I have a similar problem with my alcatel speedtouch 330 USB DSL modem (the
maroon one), UK ISP and kernel-2.6.17-1.2139_FC5.

In my case the modem seems to work okay under light use; it seems to me it fails
more under heavy traffic (often but not always with the left light turned red;
no errors of any kind in the dmesg). Downloading about 10MB fast will kill it
for sure. Unplugging and replugging the USB cable gets it going again.

It is rock solid if I revert to kernel-2.6.16-1.2133_FC5.

I'm happy to report details about the USB subsystem but I don't really know
what's relevant. The motherboard is an oldish Gigabyte GA-7VAXP Athlon XP
thingy, with a VIA KT400(A?) chipset. 
Comment 4 Motor 2006-06-30 06:20:23 EDT
I'm the bug submitter. Here's some information grabbed out of
/etc/sysconfig/hwconf and edited down. I will attach the full file if requested.

desc: "VIA Technologies, Inc. VT82C686 [Apollo Super ACPI]"
desc: "VIA Technologies, Inc. VT82C686 [Apollo Super South]"
desc: "VIA Technologies, Inc. VT8363/8365 [KT133/KM133 AGP]"
desc: "THOMSON Speed Touch 330"
desc: "VIA Technologies, Inc. VT8363/8365 [KT133/KM133]"
desc: "VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller"
desc: "VIA Technologies, Inc. VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master 
Comment 5 Gunther Schlegel 2006-06-30 06:33:08 EDT
My hardware is a little bit newer, but also VIA chipset based:

desc: "VIA Technologies, Inc. VT8237 ISA bridge [KT600/K8T800/K8T890 South]"
desc: "VIA Technologies, Inc. VT8237 PCI bridge [K8T800/K8T890 South]"
desc: "VIA Technologies, Inc. VT8385 [K8T800 AGP] Host Bridge"
desc: "VIA Technologies, Inc. VT8233/A/8235/8237 AC97 Audio Controller"
desc: "VIA Technologies, Inc. VIA VT6420 SATA RAID Controller"
desc: "VIA Technologies, Inc. USB 2.0"
desc: "VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller"
desc: "VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller"
desc: "VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller"
desc: "VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller"
desc: "VIA Technologies, Inc. IEEE 1394 Host Controller"
desc: "VIA Technologies, Inc. VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus
Master IDE"
Comment 6 Ben Matthew 2006-07-11 12:25:55 EDT
Just to chip in with a "me too".  been banging my head against the wall for ages
trying to solve this and have now decided to revert back to a previous kernel to
solve the problem.

Very similar symptons; eciadsl fires up, connects fine.  I can ping perfectly
ok, but if I try anything else (like browsing the web, telnet, ftp, etc) then
the connection locks and I have to kill it.

Same 2.6.17 kernel, BT Voyager 205 modem, uhci_hcd, via chipset

Boot back to 2.6.15 and everything works hunky dorey.
Comment 7 Duncan Sands 2006-07-12 06:53:26 EDT
Please move discussion to
http://bugzilla.kernel.org/show_bug.cgi?id=6752
Comment 8 Duncan Sands 2006-07-15 16:54:14 EDT
Created attachment 132500 [details]
Undo as623

Does this fix the problem?
Comment 9 Duncan Sands 2006-07-19 11:34:18 EDT
Created attachment 132693 [details]
as679 plus dependencies

Can you please check if this patch fixes the problem (it certainly
helps on my machine, but it is not clear if I'm seeing exactly the
same problem).	If it works, the advantage over the previous patch
is that this takes 2.6.17 forward by backporting a change from 2.6.18,
rather than taking it backwards towards 2.6.16 by undoing a change
(as623) introduced between 2.6.16 and 2.6.17.
Comment 10 Motor 2006-07-20 05:53:55 EDT
re: Duncan Sands patch

I downloaded kernel-2.6.17-1.2157_FC5.src.rpm, added the patch to the spec file
and rebuilt it. After installing it, I rebooted and found no difference... I saw
the same behaviour I described when submitting the bug. Namely, that after 30
seconds or so, the data stops flowing to/from the ISP.
Comment 11 Duncan Sands 2006-07-20 06:16:56 EDT
Thanks for testing, Motor.  Does the other patch, "Undo as623", fix
the problem?
Comment 12 Duncan Sands 2006-07-20 08:30:39 EDT
I don't know how redhat kernel builds work but... normally you don't need
to rebuild the whole kernel, you don't even need to reboot.  Suppose you've
already built the kernel.  Now undo the old patch (patch -R) and apply the
new one.  Do "make all"; this should rebuild drivers/usb/host/uhci-hcd.ko,
and not much else.  Then do (as root) "rmmod uhci-hcd" to remove the old
host controller driver (this will disconnect any usb devices, which is bad
if you are using a usb keyboard for example...).  Then do:
"insmod drivers/usb/host/uhci-hcd.ko" to insert the new driver.  Now test
your modem.  Note that you don't even need to reinstall the new kernel.
Anyway, thanks for testing.
Comment 13 Motor 2006-07-21 07:18:17 EDT
re: Duncan Sands patch for "Undo as623"

I rebuilt kernel-2.6.17-1.2157_FC5 with the "Undo as623" patch overnight. I
installed the patched kernel this morning and have been using it for about 4
hours now, downloading a fair amount of data with no problem. 

So the patch seems to fix the problem as far as I can tell. HTH.
Comment 14 Duncan Sands 2006-07-30 10:20:14 EDT
Created attachment 133290 [details]
Don't rely on the host controller not messing with the SPD bit

Can everyone please check whether this patch by Alan Stern fixes
the problem.
Comment 15 Motor 2006-08-11 04:16:14 EDT
I installed the 2.6.17-1.2174_FC5 kernel rpm update last night. The PC has been
running all night downloading without the problem I described when submitting
the bug.
Comment 16 Dave Jones 2006-10-16 17:39:39 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 17 Duncan Sands 2006-10-17 03:55:57 EDT
This bug has been fixed in a 2.6.17 stable release, and in 2.6.18.
So unless someone disagrees, it should be closed.
Comment 18 Motor 2006-10-17 04:10:13 EDT
Closed. Hope I've done this right.

Note You need to log in before you can comment on or make changes to this bug.